About McIDAS         McIDAS-V        
   Advanced
   

McIDAS-X 2008
Supported System Configurations

McIDAS-X 2008 is supported on systems running Apple Mac OS X, HP-UX, IBM AIX, Microsoft Windows XP with Services for Unix, Red Hat Linux, SGI IRIX or Sun Solaris. The table below lists the software versions, listed alphabetically by vendor, that the MUG supports with McIDAS-X 2008.

McIDAS-X 2008 was tested on these versions only. The MUG is extremely limited in its ability to support sites running 2008 with other software versions.

Vendor: Apple

Operating System Mac OS X 10.5 Intel
Fortran compiler gfortran: 4.3 (available for free at http://hpc.sourceforge.net)
C compiler gcc: 4.0.1 (packaged with Xcode 3.0)
X Server packaged with Mac OS X 10.5
-or-
Operating System Mac OS X 10.5 PPC
Fortran compiler gfortran: 4.3 (available for free at http://hpc.sourceforge.net)
C compiler gcc: 4.0.1 (packaged with Xcode 3.0)
X Server packaged with Mac OS X 10.5

* In order to build and install McIDAS-X on Mac OS X 10.5, you must install Xcode Development Tools 3.0 on your workstation. Xcode Development Tools 3.0 is included on the OS install media and is available as a free download from http://developer.apple.com.


Vendor: HP

Operating System HP-UX 11.11
Fortran compiler vendor: HP Fortran 90 version 3.1
C compiler vendor: HP C/ANSI C 11.11.16
X Window System packaged with HP-UX 11.11


Vendor: IBM

Operating System AIX 5L version 5.3.3
Fortran compiler vendor: XLF 8.1.0 -or- g77: 3.4.4
C compiler vendor: XLC 6.0 -or- gcc: 3.4.4
X Window System AIXwindows 5.3.3


Vendor: Microsoft

Operating System Windows XP Professional with Service Pack 2 and Services for Unix 3.5
Fortran compiler packaged with Services for Unix 3.5
C compiler packaged with Services for Unix 3.5
X Server we currently do not have a single X Server that we recommend; we have tried many, but have run into problems when cutting and pasting in McIDAS; some X Servers work better than others but we have not found any one that works flawlessly; here at SSEC, many people use Exceed 6.1.1 (an older version), X-Win32 5.4 or MicroImages X Server 4.2.3 (this one seems to work quite well; it's available for $25 from www.microimages.com)

* Because the McIDAS-X package for Windows is a binary package, the Fortran and C compilers are needed only if you do local development on the workstation.


Vendor: Red Hat

Operating System Enterprise Linux WS 4.0 in 32 or 64 bit mode
Fortran compiler g77: 3.4.6
C compiler gcc: 3.4.6
X Window System packaged with Enterprise Linux WS 4.0

* We recommend that you use the GNOME desktop environment. Other desktops, such as KDE, will not display the McIDAS-X windows correctly.

** We recommend that you run your Enterprise Linux workstations in 32 bit mode. The McIDAS-X 2008 core software has been fully system tested in 64 bit mode, but many other problems have been reported, especially with locally developed code.

*** Enterprise Linux 4.0 does not install Unix compress by default. So you must install compress if you will be configuring your Enterprise Linux 4.0 workstations as an ADDE remote server.


Vendor: SGI

Operating System IRIX 6.5.21
Fortran compiler vendor: SGI Fortran 77 7.4.2 -or- g77: 3.3.2
C compiler vendor: ANSI C 7.4.2 -or- gcc: 3.3.2
X Window System packaged with IRIX 6.5.21


Vendor: Sun

Operating System Solaris 10 OS SPARC Platform Edition
Fortran compiler vendor: Sun Studio 11 -or- g77: 3.4.6
C compiler vendor: Sun Studio 11 -or- gcc: 3.4.6
X Window System packaged with Solaris 10
- or -
Operating System Solaris 10 OS x86 Platform Edition
Fortran compiler g77: 3.4.6
C compiler gcc: 3.4.6
X Window System packaged with Solaris 10
McIDAS Home